haddock

Safe Haskell | Safe-Infered

Haddock.Lex

Synopsis

- data Token
  - = TokPara
  - | TokNumber
  - | TokBullet
  - | TokDefStart
  - | TokDefEnd
  - | TokSpecial Char
  - | TokIdent RdrName
  - | TokString String
  - | TokURL String
  - | TokPic String
  - | TokEmphasis String
  - | TokAName String
  - | TokBirdTrack String
  - | TokExamplePrompt String
  - | TokExampleExpression String
  - | TokExampleResult String
- type LToken = (Token, AlexPosn)
- tokenise :: DynFlags -> String -> (Int, Int) -> [LToken]

# Documentation

data Token

Constructors

TokPara |
TokNumber |
TokBullet |
TokDefStart |
TokDefEnd |
TokSpecial Char |
TokIdent RdrName |
TokString String |
TokURL String |
TokPic String |
TokEmphasis String |
TokAName String |
TokBirdTrack String |
TokExamplePrompt String |
TokExampleExpression String |
TokExampleResult String |

type LToken = (Token, AlexPosn)

A located token

tokenise :: DynFlags -> String -> (Int, Int) -> [LToken]